Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class Packet41EntityEffect

    java.lang.Object
      net.minecraft.src.Packet
          net.minecraft.src.Packet41EntityEffect

    public class Packet41EntityEffect

extends Packet

Field Summary
`short` | `duration`
`byte` | `effectAmplifier` The effect's amplifier.
`byte` | `effectId`
`int` | `entityId`

Fields inherited from class net.minecraft.src.Packet
`creationTimeMillis, isChunkDataPacket, packetIdToClassMap, receivedID, receivedSize, sentID, sentSize`

Constructor Summary
`Packet41EntityEffect()`
`Packet41EntityEffect(int par1, PotionEffect par2PotionEffect)`

Method Summary
`boolean` | `containsSameEntityIDAs(Packet par1Packet)` eg return packet30entity.entityId == entityId; WARNING : will throw if you compare a packet to a different packet class
`int` | `getPacketSize()` Abstract.
`boolean` | `isRealPacket()` only false for the abstract Packet class, all real packets return true
`void` | `processPacket(NetHandler par1NetHandler)` Passes this Packet on to the NetHandler for processing.
`void` | `readPacketData(DataInputStream par1DataInputStream)` Abstract.
`void` | `writePacketData(DataOutputStream par1DataOutputStream)` Abstract.

Methods inherited from class net.minecraft.src.Packet
`getNewPacket, getPacketId, isWritePacket, readBytesFromStream, readItemStack, readNBTTagCompound, readPacket, readString, toString, writeByteArray, writeItemStack, writePacket, writeString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### entityId

    public int entityId

### effectId

    public byte effectId

### effectAmplifier

    public byte effectAmplifier

  The effect's amplifier.

### duration

    public short duration

Constructor Detail

### Packet41EntityEffect

    public Packet41EntityEffect()

### Packet41EntityEffect

    public Packet41EntityEffect(int par1,
                                PotionEffect par2PotionEffect)

Method Detail

### readPacketData

    public void readPacketData(DataInputStream par1DataInputStream)
                        throws IOException

  Abstract. Reads the raw packet data from the data stream.

  Specified by:
    `readPacketData` in class `Packet`
  Throws:
    `IOException`

### writePacketData

    public void writePacketData(DataOutputStream par1DataOutputStream)
                         throws IOException

  Abstract. Writes the raw packet data to the data stream.

  Specified by:
    `writePacketData` in class `Packet`
  Throws:
    `IOException`

### processPacket

    public void processPacket(NetHandler par1NetHandler)

  Passes this Packet on to the NetHandler for processing.

  Specified by:
    `processPacket` in class `Packet`

### getPacketSize

    public int getPacketSize()

  Abstract. Return the size of the packet (not counting the header).

  Specified by:
    `getPacketSize` in class `Packet`

### isRealPacket

    public boolean isRealPacket()

  only false for the abstract Packet class, all real packets return true

  Overrides:
    `isRealPacket` in class `Packet`

### containsSameEntityIDAs

    public boolean containsSameEntityIDAs(Packet par1Packet)

  eg return packet30entity.entityId == entityId; WARNING : will throw if you compare a packet to a different packet class

  Overrides:
    `containsSameEntityIDAs` in class `Packet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD